#!/bin/sh
#
# Bash shell script for substituting a valid URI for %MEDIA_URI_BASE% in all
# MSML scripts
#
####################################################################################

if test $# -ne 1 
then
	echo "usage: $0 <media_uri_base_value>"
	exit 1
fi

VALUE=$1

for FILE in *moml
do
	echo Editing $FILE
	cat $FILE | sed s#%MEDIA_URI_BASE%#$VALUE#g > ./tmp.$$
	mv ./tmp.$$ $FILE
	echo done
done

